Package org.apache.groovy.plugin

# Interface GroovyRunner

All Known Implementing Classes:
  `JUnit5Runner`, `TestNgRunner`

public interface GroovyRunner
Classes which can run scripts should implement this interface.

Since:
  2.5.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canRun(Class<?> scriptClass, GroovyClassLoader loader)`
  Returns `true` if this runner is able to run the given class.
  `Object`
  `run(Class<?> scriptClass, GroovyClassLoader loader)`
  Runs the given class.

- ## Method Details

  - ### canRun

    boolean canRun(Class<?> scriptClass, GroovyClassLoader loader)
    Returns `true` if this runner is able to run the given class.
    Parameters:
      `scriptClass` - class to run
      `loader` - used to locate classes and resources
    Returns:
      true if given class can be run, else false

  - ### run

    Object run(Class<?> scriptClass, GroovyClassLoader loader)
    Runs the given class.
    Parameters:
      `scriptClass` - class to run
      `loader` - used to locate classes and resources
    Returns:
      result of running the class